Create a new Task
POST
https://api.neuroscale.io/v2.0/tasks
To create a new Task send a JSON-encoded object containing initial values for the following attributes (attributes shown in bold are required):
| Name | Type | Description |
|---|---|---|
| description | String | Description of the Task. |
| name | String | Name of the Task. |
| parameters | Object / Hash | Object of key-value pairs defining user-adjustable Pipeline parameters and their Task-specific values. |
| pipeline | String | Unique identifier of the Pipeline used to create the Task. |
| properties | Object / Hash | User-editable object of key-value pairs that can be used to add arbitrary tags to the Task (for personal use). |
Authentication¶
Type: Access token
Required scopes: task or create:task
Responses¶
Example response — 201¶
{
"created_at": 1485280279,
"description": "Description of Task",
"id": "tsk_b3x5WkqCV4X3ebDKkNBZxB",
"name": "My Task",
"object": "task",
"parameters": {
"output_file": "ERP_Data_out.set",
"input_file": "ERP_Data.set"
},
"pipeline": "pl_xTg7suuqGzFCGcnmb6Xx7f",
"properties": {
"key_1": "value_1",
"key_2": "value_2"
},
"state": "submitted",
"state_reason": "",
"exit_code": null,
"updated_at": 1485280279,
"user": "usr_dmagKotr8jXxGimEkp8cEo"
}